> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domesystems.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tool Connection Filters

> Per connection Tool filter assignments (ordered JSON-filter chain, per
 direction).



## OpenAPI

````yaml GET /v1/tools/{connection_id}/filters
openapi: 3.0.3
info:
  title: Dome Platform API
  description: Connect and REST APIs for the Dome agent governance platform.
  version: 2.0.0
servers:
  - url: https://api.domesystems.ai
    description: Production
security: []
tags:
  - name: Agents
  - name: Authorization
  - name: Guards
  - name: Tools
  - name: Tool Catalog
  - name: Models
  - name: Model Pools
  - name: Quotas
  - name: Gateways
  - name: Webhooks
  - name: Audit
  - name: Workspaces
  - name: Access Control
  - name: Tenants
  - name: Platform Keys
  - name: Enrollment
  - name: Platform
  - name: Identity
paths:
  /v1/tools/{connection_id}/filters:
    get:
      tags:
        - Tools
      description: |-
        Per connection Tool filter assignments (ordered JSON-filter chain, per
         direction).
      operationId: Management_ListToolConnectionFilters
      parameters:
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
        - name: workspace_id
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListToolConnectionFiltersResponse'
components:
  schemas:
    ListToolConnectionFiltersResponse:
      type: object
      properties:
        assignments:
          type: array
          items:
            $ref: '#/components/schemas/ToolFilterAssignment'
    ToolFilterAssignment:
      type: object
      properties:
        filter_id:
          type: string
        direction:
          type: integer
          format: enum
        sort_order:
          type: integer
          format: int32
      description: >-
        ToolFilterAssignment is one binding of a Filter to an MCP server
        connection
         at a position in the ordered chain for a direction. filter_id is the stable
         logical id (the binding follows the active version). The tool analog of
         ModelFilterAssignment.

````